# Copyright 2022 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARN NEON+FP16ARITH
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x32
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x32_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x32_acc4
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x40
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x40_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x40_acc5
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x48
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x48_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x48_acc3
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x64
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x64_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x64_acc4
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x72
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x72_acc3
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x80
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x80_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x80_acc5
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x96
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x96_acc2
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x96_acc3
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_x96_acc6
  init: xnn_init_f16_expminus_neonfp16arith_rr2_p2_params

# x86 AVX2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x32
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x32_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x32_acc4
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x40
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x40_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x40_acc5
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x48
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x48_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x48_acc3
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x64
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x64_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x64_acc4
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x72
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x72_acc3
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x80
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x80_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x80_acc5
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x96
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x96_acc2
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x96_acc3
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_x96_acc6
  init: xnn_init_f16_expminus_avx2_rr1_p2_params
